% DEFINE PARAMETERS FOR TIME DOMAIN ANALYSIS

T_tot = 3600;     % Simulation period (3 hours)
w_max = 2*pi/1;    % Lowest period in the WADAM analysis is 1 s
w_min = 2*pi/30;   % Highest period in WADAM analysis is 30 s

% Number of sub-intervals such that the time series does not repeat itself
    % Sealoads p. 148: signal repeats itself after 2piN/(wmax-wmin)
N =250; %round(1/(2*pi)*(w_max-w_min)*T_3h);

dw = (w_max-w_min)/N;  % Length of sub-intervals

% Define frequencies for which the force should be calculated
    % Defined such that the w(j) is at the midpoint of interval j
%w = w_min  +  dw/2  :   dw   :      w_max;
w = [w_min :dw:w_max-dw] +rand(1, N)*dw;


fN = 1;           % Nyquist frequency, can capture frequencies up to fN/2

t0 = 10;          % Initiation time for the waves
dt = 0.5/fN;      % dt_min = 1/(2fN) 
t = t0:dt:T_tot;

