% DEFINE SPECTRAL PARAMETERS AND PARAMETERS FOR WAVE CONDITION
    % Both wind sea and swell
  
% 100 YEAR WAVE CONDITION 

% DIRECTION OF WAVES: waves from east to south have angle 0, postive
% direction is counter clockwise

% Wind sea
Hs_WS = All_Hs_WS(SeaState);               % Significant wave height
Tp_WS = All_Tp_WS(SeaState);               % Spectral peak period
w_p_WS = 2*pi/Tp_WS;                       % Spectral peak frequency
dir_WS = All_dir_WS(SeaState);             % Direction
                           % Possible directions:0+-[0, 10, 20, 30, 40, 50]
                           %                   180+-[0, 10, 20, 30, 40, 50]             
% Swell sea
Hs_Swell = All_Hs_Swell(SeaState);         % Significant wave height
Tp_Swell = All_Tp_Swell(SeaState);         % Spectral peak period
w_p_Swell = 2*pi/Tp_Swell;                 % Spectral peak frequency
dir_Swell = All_dir_Swell(SeaState);       % Direction
                           % Possible directions:0+-[0, 10, 20, 30, 40, 50]
                           %                   180+-[0, 10, 20, 30, 40, 50] 

% Angles for which the transfer functions are calculated
angles = [0, 10, 20, 30, 40, 50, 60, 70, 80]; 
                          
% Spectral parameters for the JONSWAP spectrum (DNV-RP-C205)
gam_WS = 3.3;             % Peakedness parameter for wind sea spectrum
gam_Swell = 3.3;          % Peakedness parameter for swell spectrum
s_a = 0.07;               % Shape parameter for w<=omega_p
s_b = 0.09;               % Shape parameter for w >omega_p
