function [ F_M ] = Find_charLoad( S_wave,dw, Tp, H_wf, T_tot )
%CALCULATE CHARACTERISTIC WAVE LOADS
%   Based on transfer function, spectrum and N

N = T_tot/Tp;

for a = 1: 6
S_force = H_wf(:,a+1).^2.*S_wave';

m0 = sum(S_force.*dw);

F_M(a) = sqrt(2*m0*log(N));

end

