% CALCULATE CHARACTERISTIC WIND LOAD
%   Calculate characteristic wind gust and add to mean wind

alpha = 0.127;
U10 = 29.5;
U_z= U10*(14.4/10)^alpha;
I_u = 0.14;
sigma = I_u*U_z;
Lk = 5.67*14.4;
f = 0.005:0.005:1;
top = sigma^2*4*Lk/U_z;
in = 1+6.*f.*Lk./U_z;
S = top./(in.^(5/3));

m0 = trapz(f,S);
Tp_assumed = 6;
N = 3600/Tp_assumed;

char_gust = sqrt(2*m0*log(N));

U_M_eastern = U_z*0.7+char_gust;
U_M_western = U_z+char_gust;
%{
figure
plot(f,S)
grid on
title('Applied spectrum for wind gusts')
xlabel('Frequency[Hz]')
ylabel('$S_{ii}(f)$','Interpreter','Latex')
legend('z = 14.4 m', 'Location', 'NorthEast')
%}
