function [ ] = GenInpFile( FID, TraMat, Force, P, a, t0)
% WRITE RESULTS TO SELECTED FILE
%   Write time history with force magnitues
%   Relate time history to load case
%   Apply unit vector as node load based on transfer matrix

Hist_num = 1000 + P*10 + a; % Generate ID for time history
fprintf(FID, '#         histno    Points time1 factor1 time2 factor2 ...\n');
fprintf(FID, 'TIMEHIST  %i       Points\n', Hist_num);
fprintf(FID, '0         0\n');
fprintf(FID, '%i       0\n', t0);
fprintf(FID, '%5.2f    %8.6f\n', [Force(:,1), Force(:,2)]');
fprintf(FID, '\n');
fprintf(FID, '#         L_case  Timehist\n');
fprintf(FID, 'LOADHIST   %i     %i\n', Hist_num+1000, Hist_num);
fprintf(FID, '\n');
fprintf(FID, '#        Load Case Node ID Fx Fy Fz mx my mz\n');
fprintf(FID, 'NODELOAD    %i     %i     %i  %i  %i  %i  %i  %i\n'...
                      , Hist_num+1000, 30200+P*100, TraMat(a,:));
fprintf(FID, '\n');
fprintf(FID, '\n');
fprintf(FID, '\n');


end

