function [ DiffFreqForces ] = ...
        Gen_nonLinearForces( A, Coeffs, w, t, epsi, Beta, x, y, pont_angle)
%CALCULATE NONLINAR FORCES WITH THE NEWMAN'S APPROXIMATION
   
k = w'.^2/9.81;            % Wave number 

DiffFreqForces  = zeros(length(t), 6);
%
    for a = 1 : 6 % Degree of freedom
        DiffFreqForces(:,a) = 2*(A.*(abs(Coeffs(:,a+1)).^(1/2))'...
            *cos(w'*t+(-k*x*cos(Beta)-k*y*sin(Beta)).*ones(1, length(t))...
            +epsi'.*ones(1, length(t)))).^2;
    end
% Change sign of forces in order to fit the defined local coordinate system
% Positive direction in same direction as incident wave
    % Local coordinate system for pontoon angle = 0:
    %   Local x-dir in positive global y-dir
    %   Local y-dir in negative global x-dir
if Beta>=0 && Beta<pi/2
    % Will have sway in negative local y-direction
    DiffFreqForces(:,2) = -DiffFreqForces(:,2);
elseif Beta>=pi/2 && Beta <pi
    % Leave forces as they are
elseif Beta>=pi && Beta <3*pi/2
    DiffFreqForces(:,1) = -DiffFreqForces(:,1);
else
    DiffFreqForces(:,1) = -DiffFreqForces(:,1);
    DiffFreqForces(:,2) = -DiffFreqForces(:,2);
end 
 
end

