function [ New_cell ] = InterpolateCell( Cell_mat, w, angles )
% Interpolate transfer functions
%   Find value for each frequency

New_cell = cell(1,4);
dim = size(Cell_mat{1}); % Dimensions of matrix in cell 1
Temp_mat = zeros(length(w), dim(2), dim(3));
Temp_mat(:,1,:) = w'.*ones(length(w), length(angles));

for j = 1 : 4 % Pontoon type
    mat = Cell_mat{j}; % Matrix for pontoon j
    w_coarse = mat(:,1,1);
    for m = 1: dim(3) % For heading angle 1 to the last
        for a = 2: dim(2) % Index for DOF
            Temp_mat(:,a,m) = interp1(w_coarse,mat(:,a,m),w);
            % Plot
            %{
            if j == 1 && a == 5 && m == 5
            figure()
            plot(mat(:,1,m), mat(:,a,m), '*');
            hold on
            plot(w, Temp_mat(:,a,m), ':')
            end
            %}
        end
    end
    
    if dim(2) == 4
        Temp_mat2 = Temp_mat;
        Temp_mat = zeros(length(w), 7, dim(3));
        Temp_mat(:,1:3,:) = Temp_mat2(:,1:3,:);
        Temp_mat(:,7,:) = Temp_mat2(:,4,:);
    end
    New_cell{j} = Temp_mat;
end



