% PLOT AND COMPARE TRANSFER FUNCTIONS AND MEAN DRIFT COEFFICIENTS
angles = [0 10 20 30 40 50 60 70 80];

[ TransferFunctions, PhaseAngles,N_RAO ] =...
          Read_transferFunc([0 10 20 30 40 50 60 70 80], '0.5', [1 2 3 4]);
      %
[ TransferFunctions_15, PhaseAngles,N_RAO ] =...
          Read_transferFunc([0 10 20 30 40 50 60 70 80], '1.5', 4);

[ TransferFunctions_20, PhaseAngles,N_RAO ] =...
                  Read_transferFunc([0 10 20 30 40 50 60 70 80], '2.0', 4);      
      
[ TransferFunctions_10, PhaseAngles,N_RAO ] =...
                  Read_transferFunc([0 10 20 30 40 50 60 70 80], '1.0', 4);
     %}
          %{
[ MeanDriftCoefficients_15 ] =...
    Read_meanDriftCoeff( [0 10 20 30 40 50 60 70 80], '1.5', 4 ); 
[ MeanDriftCoefficients_20 ] =...
    Read_meanDriftCoeff( [0 10 20 30 40 50 60 70 80], '2.0', 4 ); 
[ MeanDriftCoefficients_10 ] =...
    Read_meanDriftCoeff( [0 10 20 30 40 50 60 70 80], '1.0', 4 );
[ MeanDriftCoefficients_05 ] =...
    Read_meanDriftCoeff( [0 10 20 30 40 50 60 70 80], '0.5', 4 );
%}
          
[ MeanDriftCoefficients ] =...
    Read_meanDriftCoeff( [0 10 20 30 40 50 60 70 80], '0.5', [1 2 3 4] );
          
[ MeanDriftCoefficients_05 ] =...
    Read_meanDriftCoeff( [0 10 20 30 40 50 60 70 80], '0.5', [1 2 3 4] );
%{
[ MeanDriftCoefficients_new_05 ] =...
    Read_meanDriftCoeff( [0 10 20 30 40 50 60 70 80], '0.5_new', 4 );
%}
[ MeanDriftCoefficients_FF ] =...
    Read_meanDriftCoeff_FF( [0 10 20 30 40 50 60 70 80], '0.5', [1 2 3 4] );
%{
[ MeanDriftCoefficients_FF_20 ] =...
    Read_meanDriftCoeff_FF( [0 10 20 30 40 50 60 70 80], '2.0', 4 );

[ MeanDriftCoefficients_FF_10 ] =...
    Read_meanDriftCoeff_FF( [0 10 20 30 40 50 60 70 80], '1.0', 4 );


[ MeanDriftCoefficients_FF_05 ] =...
    Read_meanDriftCoeff_FF( [0 10 20 30 40 50 60 70 80], '0.5', [1 2 3 4] );

[ MeanDriftCoefficients_FF_new_05 ] =...
    Read_meanDriftCoeff_FF( [0 10 20 30 40 50 60 70 80], '0.5_new', 4 );
%}
motion = {'surge', 'sway', 'heave', 'roll', 'pitch', 'yaw'}; % For title
n_angl = length([0 10 20 30 40 50 60 70 80]);
%%
for i = 1: 6
    figure()
    for j = 1:4
        plot(2*pi./TransferFunctions{j}(:,1,1),TransferFunctions{j}(:,i+1,1));
        hold on
    end
    grid on
    title({sprintf('Transfer function in %s', motion{i}), '0 deg heading angle'})
    if i<4
        ylabel('Force [N/m^2]')
    else
        ylabel('Moment [Nm/m^2]')
    end
    xlabel('Oscillation period [s]')
    legend('Pontoon 1', 'Pontoon 2', 'Pontoon 3', 'Pontoon 4', 'Location', 'NorthWest')
end

%% Transfer function for each angle
for i = 1 : 6
    figure()
    for j = 1: length([0 20 40 60 80]) %[0 10 20 30 40 50 60 70 80] 
        plot(2*pi./TransferFunctions{4}(:,1,2*j-1),TransferFunctions{4}(:,i+1,2*j-1), 'LineWidth', 1.5);
        hold on
    end
    grid on
    title({sprintf('Transfer function in %s', motion{i}), 'Pontoon 4'})
    if i<4
        ylabel('Force [N/m^2]')
    else
        ylabel('Moment [Nm/m^2]')
    end
    xlabel('Oscillation period [s]')
    if i == 3
    legend('0 deg', '20 deg', '40 deg', '60 deg',  '80 deg', 'Location', 'NorthWest')
    else
        legend('0 deg', '20 deg', '40 deg', '60 deg',  '80 deg')
    end
end

%%
%% Compare mesh sizes Transfer functions
for i = 1 : 6
    figure 
    plot(2*pi./TransferFunctions_15{4}(:,1,1),TransferFunctions_20{4}(:,i+1,1), 'LineWidth', 1.5);
    hold on
    plot(2*pi./TransferFunctions_15{4}(:,1,1),TransferFunctions_15{4}(:,i+1,1), 'LineWidth', 1.5);
    hold on
    plot(TransferFunctions_10{4}(:,1,1),TransferFunctions_10{4}(:,i+1,1), 'LineWidth', 1.5);
    hold on
    plot(2*pi./TransferFunctions{4}(:,1,1),TransferFunctions{4}(:,i+1,1), 'LineWidth', 1.5);
    grid on
    title({sprintf('Transfer function in %s', motion{i}), '0 deg heading angle'})
    if i<4
        ylabel('Force [N/m^2]')
    else
        ylabel('Moment [Nm/m^2]')
    end
    xlabel('Oscillation period [s]')
    if i == 3
    legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Mesh size: 0.5', 'Location', 'NorthWest')
    else
    legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Mesh size: 0.5')
    end
end
%% Compare mesh sizes Mean drift coeff

% Pressure int
for i = 1:6
    figure 
    plot(2*pi./MeanDriftCoefficients_20{4}(:,1,1),MeanDriftCoefficients_20{4}(:,i+1,4), 'LineWidth', 1.5);
    hold on
    plot(2*pi./MeanDriftCoefficients_15{4}(:,1,1),MeanDriftCoefficients_15{4}(:,i+1,4), 'LineWidth', 1.5);
    hold on
    plot(2*pi./MeanDriftCoefficients_10{4}(:,1,1),MeanDriftCoefficients_10{4}(:,i+1,4), 'LineWidth', 1.5);
    hold on
    plot(2*pi./MeanDriftCoefficients_05{4}(:,1,1),MeanDriftCoefficients_05{4}(:,i+1,4), 'LineWidth', 1.5);
    grid on
    title({'Direct pressure integration:', sprintf('Mean drift coefficent in %s, 30 deg', motion{i})})
    %xlabel('Angular frequency [\omega]')
    xlabel('Oscillation period [s]')

    %legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Location', 'NorthWest')

    legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Mesh size: 0.5')

end

%% Remove high-frequency noise


for i = 1:6
    figure 
    plot(MeanDriftCoefficients_10{4}(:,1,1),MeanDriftCoefficients_10{4}(:,i+1,2), 'LineWidth', 1.5);
    
    title({'Direct pressure integration:', sprintf('Mean drift coefficent in %s, 0 deg', motion{i})})
    xlabel('Angular frequency [\omega]')

    %legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Location', 'NorthWest')

    legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Mesh size: 0.5')

end

%%
% Far field
for i = 1:3
    p = [1 2 6];
    ang = 4;
    figure 
    plot(2*pi./MeanDriftCoefficients_FF_20{4}(:,1,1),MeanDriftCoefficients_FF_20{4}(:,i+1,ang), 'LineWidth', 1.5);
    hold on
    plot(2*pi./MeanDriftCoefficients_FF_15{4}(:,1,1),MeanDriftCoefficients_FF_15{4}(:,i+1,ang), 'LineWidth', 1.5);
    hold on
    plot(2*pi./MeanDriftCoefficients_FF_10{4}(:,1,1),MeanDriftCoefficients_FF_10{4}(:,i+1,ang), 'LineWidth', 1.5);
    hold on
    plot(2*pi./MeanDriftCoefficients_FF_05{4}(:,1,1),MeanDriftCoefficients_FF_05{4}(:,i+1,ang), 'LineWidth', 1.5);
    grid on
    title({ sprintf('Mean drift coefficent in %s', motion{p(i)}), 'Heading angle: 30 deg, Method: CFM'})
    %xlabel('Angular frequency [\omega]')
    xlabel('Oscillation period [s]')
    if p == 6
        ylabel('Mean drift coefficient [Nm/m^2]')
    else
        ylabel('Mean drift coefficient [N/m^2]')
    end
    %legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Location', 'NorthWest')

    legend('Mesh size: 2.0','Mesh size: 1.5', 'Mesh size: 1.0', 'Mesh size: 0.5')
end


%%
for i = 1 : 6
     figure
     for j = 1: n_angl-1
          plot(2*pi./TransferFunctions{4}(:,1,1),...
              TransferFunctions{4}(:,i+1,j));
          hold on
     end
     grid on
    title({sprintf('Transfer function in %s', motion{i}), 'Pontoon 4'})
    if i<4
        ylabel('Force [N/m^2]')
    else
        ylabel('Moment [Nm/m^2]')
    end
    xlabel('Oscillation period [s]')
    if i == 3
    legend('0 deg', '10 deg', '20 deg', '30 deg', '40 deg', '50 deg', '60 deg', '70 deg', '80 deg', 'Location', 'NorthWest')
    else
        legend('0 deg', '10 deg', '20 deg', '30 deg', '40 deg', '50 deg', '60 deg', '70 deg', '80 deg')
    end
    
end
%% Compare mean drift coefficients from direct pressure integration and far field 
for j = 4
    dirr = 4;
    ang = 6;
figure 
plot(2*pi./MeanDriftCoefficients{j}(:,1,1), MeanDriftCoefficients{j}(:,7,ang));
hold on
plot(2*pi./MeanDriftCoefficients_FF{j}(:,1,1), MeanDriftCoefficients_FF{j}(:,dirr,ang));
grid on
title( {sprintf('Mean drift coefficient in %s', motion{dirr-1}), sprintf('Heading angle: %i deg',angles(ang))})
if dirr == 7
    ylabel('Mean drift coefficient [Nm/m^2]')
else
    ylabel('Mean drift coefficient [N/m^2]')
end
xlabel('Oscillation period [s]')
legend('DPI', 'CFM')
end
%%
figure
for j = 1:4
    plot(2*pi./MeanDriftCoefficients{j}(:,1,1), MeanDriftCoefficients{j}(:,2,1));
    hold on
end
grid on

%% Plot mean drift coefficients with mesh size 0.5
ang = 5;
dirr = 4;
figure
for j = 1:4
    plot(2*pi./MeanDriftCoefficients_FF{j}(:,1,1), MeanDriftCoefficients_FF{j}(:,dirr,ang));
    hold on
end
grid on
title({ 'Mean drift coefficent in yaw', 'Heading angle: 40 deg, Method: CFM'})
    xlabel('Oscillation period [s]')
    if dirr == 4
        ylabel('Mean drift coefficient [Nm/m^2]')
    else
        ylabel('Mean drift coefficient [N/m^2]')
    end
    legend('Pontoon 1', 'Pontoon 2', 'Pontoon 3', 'Pontoon 4')
    
    
%%

ang = 6;
dirr = 4;
figure
for j = 4
    plot(2*pi./MeanDriftCoefficients_FF_05{j}(:,1,1), MeanDriftCoefficients_FF_05{j}(:,dirr,ang));
    hold on
    plot(2*pi./MeanDriftCoefficients_FF_new_05{j}(:,1,1), MeanDriftCoefficients_FF_new_05{j}(:,dirr,ang));
end
grid on
title({ 'Mean drift coefficent in surge', 'Heading angle: 0 deg, Method: CFM'})
    xlabel('Oscillation period [s]')
    if dirr == 4
        ylabel('Mean drift coefficient [Nm/m^2]')
    else
        ylabel('Mean drift coefficient [N/m^2]')
    end
    legend('Pontoon 1', 'Pontoon 2', 'Pontoon 3', 'Pontoon 4')
    
    %%

ang = 4;
dirr = 7;
figure
for j = 4
    plot(2*pi./MeanDriftCoefficients_05{j}(:,1,1), MeanDriftCoefficients_05{j}(:,dirr,ang));
    hold on
    plot(2*pi./MeanDriftCoefficients_new_05{j}(:,1,1), MeanDriftCoefficients_new_05{j}(:,dirr,ang));
end
grid on
title({ 'Mean drift coefficent in surge', 'Heading angle: 0 deg, Method: CFM'})
    xlabel('Oscillation period [s]')
    if dirr == 4
        ylabel('Mean drift coefficient [Nm/m^2]')
    else
        ylabel('Mean drift coefficient [N/m^2]')
    end
    legend('Pontoon 1', 'Pontoon 2', 'Pontoon 3', 'Pontoon 4')

 %% Plot force spectrum
 angles = [0 10 20 30 40 50 60 70 80];
 [ TransferFunctions_int ] = InterpolateCell( TransferFunctions, w, angles);
 for a = 1: 6
     figure
     for j = 1: length([0 20 40 60 80]) %[0 10 20 30 40 50 60 70 80] 
        plot(2*pi./w,abs(TransferFunctions_int{4}(:,a+1,2*j-1)').^2.*S_WS, 'LineWidth', 1.5);
        hold on
     end
    grid on
    title(sprintf('Force spectrum in %s: H_s=2.5 m, T_p=6.2 s', motion{a}))
    %title({sprintf('Force spectrum in %s', motion{a}), 'H_s=2.5 m, T_p=6.2 s'})
    ylabel('$S_{FF}(\tau)$','Interpreter','Latex')
    xlabel('Period [$\tau$]','Interpreter','Latex')
    legend('Heading angle: 0^\circ', 'Heading angle: 20^\circ','Heading angle: 40^\circ',...
        'Heading angle: 60^\circ','Heading angle: 80^\circ','Interpreter','Latex')
 end
 
 
