function [ Vector_out ] = Reduce_file( Vector_in, t, P )
%LOCATE EXTREMES AND REDUCE SIZE OF FILE

% Find local minima
[Min_val, ind_min] = findpeaks(-Vector_in,'MinPeakDistance', 2);

% Find local maxima
[Max_val, ind_max] = findpeaks(Vector_in,'MinPeakDistance', 2); 

% Indices of local minima and maxima
ind_ex = sort([ind_max; ind_min]);

% Sample to write to file
Vector_out = [t([ind_ex]), Vector_in([ind_ex])];

%{
if P == 14
figure
plot(t, Vector_in)
hold on
plot(Vector_out(:,1), Vector_out(:,2))
grid on
title('Force history')
legend('Full file', 'Reduced file')
end
%}
end

