function [ TraMat ] = TransfMatrix( al_deg)
%GENERATE TRANSFER MATRIX FOR FORCE IN LOCAL COORD TO GLOBAL
%   Used to make unit force vector
al = al_deg*pi/180; % From degrees to radians
% Transfer matrix (Pontoon coordinate system to global system)
TraMat = [ sin(al)  cos(al) 0       0        0       0; 
          -cos(al)  sin(al) 0       0        0       0;
           0        0       1       0        0       0;
           0        0       0       sin(al)  cos(al) 0;
           0        0       0      -cos(al)  sin(al) 0;
           0        0       0       0        0       1];
end

